***************************************************************
*Generating the compiled file containing the data             *
***************************************************************
********CHANGE PATH AND NAME OF THE FILES BEFORE RUNNING*******

** set stata working directory to source of file before running

clear
set more off
cap log close
cd "C:\Users\win 7\Desktop\Reproduction june 2021"

log using "C:\Users\win 7\Desktop\Reproduction june 2021\Compile_data", replace

* Load session 1 into Stata

*Importing subjects table - all variables at subject level
ztree2stata subjects using "experimental_files\Session_01_20141210\Data_Session_01_20141210\141210_1516.xls", save replace
save "Data_files\Sessions\Session_01_20141210_subjects", replace

* Load session 2 into Stata
clear
*Importing subjects table - all variables at subject level
ztree2stata subjects using "experimental_files\Session_02_20141215\Data_Session_20141215\141215_1520.xls", save replace
save "Data_files\Sessions\Session_02_20141215_subjects", replace

* Load session 3 into Stata
clear
*Importing subjects table - all variables at subject level
ztree2stata subjects using "experimental_files\Session_03_20141217\Data_Session_20141217\141217_1145.xls", save replace
save "Data_files\Sessions\Session_03_20141217_subjects", replace


* Load session 4 into Stata
clear
*Importing subjects table - all variables at subject level
ztree2stata subjects using "experimental_files\Session_04_20150429_1015\Data_Session_20150429_1530\150429_1450_mod.xls", save replace
save "Data_files\Sessions\Session_04_20150429_subjects", replace


* Load session 5 into Stata
clear
*Importing subjects table - all variables at subject level
ztree2stata subjects using "experimental_files\Session_05_20150429_1530\Data_Session_20150429_1715\150429_1710.xls", save replace
save "Data_files\Sessions\Session_05_20150429_subjects", replace


* Load session 6 into Stata
clear
*Importing subjects table - all variables at subject level
ztree2stata subjects using "experimental_files\Session_06_20150429_1715\Data_Session_20150430_1015\150430_0958.xls", save replace
save "Data_files\Sessions\Session_06_20150430_subjects", replace


* Load session 7 into Stata
clear
*Importing subjects table - all variables at subject level
ztree2stata subjects using "experimental_files\Session_07_201530_1015\Data_Session_20150430_1200\150430_1211.xls", save replace
save "Data_files\Sessions\Session_07_20150430_subjects", replace


* Load session 8 into Stata
clear
*Importing subjects table - all variables at subject level
ztree2stata subjects using "experimental_files\Session_08_20150513_1015\Data_Session_20150513_1015\150513_0953.xls", save replace
save "Data_files\Sessions\Session_08_20150513_subjects", replace


* Load session 9 into Stata
clear

*Importing subjects table - all variables at subject level
ztree2stata subjects using "experimental_files\Session_09_20151026_1530\Data_Session_20151026_1530\151026_1443.xls", save replace
save "Data_files\Sessions\Session_09_20151026_subjects", replace


**************** merge files

use "Data_files\Sessions\Session_01_20141210_subjects", clear
append using "Data_files\Sessions\Session_02_20141215_subjects"
append using "Data_files\Sessions\Session_03_20141217_subjects"
append using "Data_files\Sessions\Session_04_20150429_subjects"
append using "Data_files\Sessions\Session_05_20150429_subjects"
append using "Data_files\Sessions\Session_06_20150430_subjects"
append using "Data_files\Sessions\Session_07_20150430_subjects"
append using "Data_files\Sessions\Session_08_20150513_subjects"
append using "Data_files\Sessions\Session_09_20151026_subjects"


******************** clean data


drop if treatment == 1
*Drops trial/test round

drop treatment Group Profit TotalProfit Participate Answer_* random_v* valuation_1 valuation_2 random_vote* vote_1 vote_2 tables

label define rules 1 "AGV" 2 "simple majority" 3 "status quo" 4 "random implementation"
label values GroupDecisionRule rules 
label values GroupDecisionVote rules 

label define vote 1 "Yes" 0 "No"
label values vote vote 

label define gender 1 "female" 2 "male" 
label values Gender gender

label define party 1 "CDU/CSU" 2 "SPD" 3 "Die Linke" 4 "Bündnis 90 / Die Grünen" 5 "FDP" 6 "AfD" 7 "Sonstige" 8 "Nichtwähler" 
label values Party party


gen Study_Subject = StudySubject

label define study_subject ///
	1 "Anglistik / Amerikanistik / Germanistik / Romanistik" ///
	2 "Biologie / Chemie / Physik" ///
	3 "BWL" /// 
	4 "Ingenieurwesen" ///
	5 "Jura" /// 
	6 "Kommunikationswissenschaften" /// 
	7 "Philosophie / Geschichte" ///
	8 "Sozial- / Politikwissenschaften" ///
	9 "VWL" ///
	10 "Wirtschaftsmathematik" ///
	11 "Wirtschaftspädagogik / Lehramt" ///
	12 "Sonstiges"
label values Study_Subject study_subject



gen Session_number = .
replace Session_number = 1 if session == "141210_1516"
replace Session_number = 2 if session == "141215_1520"
replace Session_number = 3 if session == "141217_1145"
replace Session_number = 4 if session == "150429_1450"
replace Session_number = 5 if session == "150429_1710"
replace Session_number = 6 if session == "150430_0958"
replace Session_number = 7 if session == "150430_1211"
replace Session_number = 8 if session == "150513_0953"
replace Session_number = 9 if session == "151026_1443"

gen treatment_distribution = .
replace treatment_distribution = 0 if Session_number <=3
replace treatment_distribution = 1 if Session_number ==4
replace treatment_distribution = -1 if Session_number ==5
replace treatment_distribution = 1 if Session_number ==6
replace treatment_distribution = -1 if Session_number ==7
replace treatment_distribution = -1 if Session_number ==8
replace treatment_distribution = -2 if Session_number ==9
*Note: 
*  0 - symmetric (-3, -1, 1, 3)
* -1 - large neg (-7, -1, 1, 3)
*  1 - large pos (-3, -1, 1, 7)
* -2 - three neg (-3, -2, -1, 7)

egen maxsession=max(Session_number)
local n = maxsession

egen maxsubject = max(Subject)

forvalues i = 1(1)`n' {
	sum Subject if Session_number == `i'
	replace maxsubject = r(max) if Session_number == `i'
}
* 

***
*Add two variables that tell in each round what the two rule were
*DISADVANTAGE not really automated and needs to be HAND adjusted for each session, since order of comparisons is different

gen Rule_1 = .
gen Rule_2 = .

*Rule_1 Session 1 
replace Rule_1 = 2 if Session_number == 1 & Period == 1 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 1 & Period == 2 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 1 & Period == 3 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 1 & Period == 4 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 1 & Period == 5 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 1 & Period == 6 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 1 & Period == 7 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 1 & Period == 8 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 1 & Period == 9 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 1 & Period == 10 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 1 & Period == 11 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 1 & Period == 12 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 1 & Period == 13 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 1 & Period == 14 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 1 & Period == 15 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 1 & Period == 16 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 1 & Period == 17 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 1 & Period == 18 & GroupDecisionVote != .

*Rule_2 Session 1
replace Rule_2 = 1 if Session_number == 1 & Period == 1 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 1 & Period == 2 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 1 & Period == 3 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 1 & Period == 4 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 1 & Period == 5 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 1 & Period == 6 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 1 & Period == 7 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 1 & Period == 8 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 1 & Period == 9 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 1 & Period == 10 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 1 & Period == 11 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 1 & Period == 12 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 1 & Period == 13 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 1 & Period == 14 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 1 & Period == 15 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 1 & Period == 16 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 1 & Period == 17 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 1 & Period == 18 & GroupDecisionVote != .

*Rule_1 Session 2
replace Rule_1 = 4 if Session_number == 2 & Period == 1 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 2 & Period == 2 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 2 & Period == 3 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 2 & Period == 4 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 2 & Period == 5 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 2 & Period == 6 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 2 & Period == 7 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 2 & Period == 8 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 2 & Period == 9 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 2 & Period == 10 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 2 & Period == 11 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 2 & Period == 12 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 2 & Period == 13 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 2 & Period == 14 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 2 & Period == 15 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 2 & Period == 16 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 2 & Period == 17 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 2 & Period == 18 & GroupDecisionVote != .

*Rule_2 Session 2
replace Rule_2 = 2 if Session_number == 2 & Period == 1 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 2 & Period == 2 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 2 & Period == 3 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 2 & Period == 4 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 2 & Period == 5 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 2 & Period == 6 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 2 & Period == 7 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 2 & Period == 8 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 2 & Period == 9 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 2 & Period == 10 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 2 & Period == 11 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 2 & Period == 12 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 2 & Period == 13 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 2 & Period == 14 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 2 & Period == 15 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 2 & Period == 16 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 2 & Period == 17 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 2 & Period == 18 & GroupDecisionVote != .

*Rule_1 Session 3
replace Rule_1 = 2 if Session_number == 3 & Period == 1 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 3 & Period == 2 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 3 & Period == 3 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 3 & Period == 4 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 3 & Period == 5 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 3 & Period == 6 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 3 & Period == 7 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 3 & Period == 8 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 3 & Period == 9 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 3 & Period == 10 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 3 & Period == 11 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 3 & Period == 12 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 3 & Period == 13 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 3 & Period == 14 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 3 & Period == 15 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 3 & Period == 16 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 3 & Period == 17 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 3 & Period == 18 & GroupDecisionVote != .

*Rule_2 Session 3
replace Rule_2 = 4 if Session_number == 3 & Period == 1 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 3 & Period == 2 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 3 & Period == 3 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 3 & Period == 4 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 3 & Period == 5 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 3 & Period == 6 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 3 & Period == 7 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 3 & Period == 8 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 3 & Period == 9 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 3 & Period == 10 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 3 & Period == 11 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 3 & Period == 12 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 3 & Period == 13 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 3 & Period == 14 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 3 & Period == 15 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 3 & Period == 16 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 3 & Period == 17 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 3 & Period == 18 & GroupDecisionVote != .

*Rule_1 Session 4 (=1) 
replace Rule_1 = 2 if Session_number == 4 & Period == 1 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 4 & Period == 2 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 4 & Period == 3 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 4 & Period == 4 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 4 & Period == 5 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 4 & Period == 6 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 4 & Period == 7 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 4 & Period == 8 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 4 & Period == 9 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 4 & Period == 10 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 4 & Period == 11 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 4 & Period == 12 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 4 & Period == 13 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 4 & Period == 14 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 4 & Period == 15 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 4 & Period == 16 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 4 & Period == 17 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 4 & Period == 18 & GroupDecisionVote != .

*Rule_2 Session 4 (=1)
replace Rule_2 = 1 if Session_number == 4 & Period == 1 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 4 & Period == 2 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 4 & Period == 3 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 4 & Period == 4 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 4 & Period == 5 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 4 & Period == 6 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 4 & Period == 7 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 4 & Period == 8 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 4 & Period == 9 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 4 & Period == 10 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 4 & Period == 11 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 4 & Period == 12 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 4 & Period == 13 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 4 & Period == 14 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 4 & Period == 15 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 4 & Period == 16 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 4 & Period == 17 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 4 & Period == 18 & GroupDecisionVote != .

*Rule_1 Session 5 (=1 and 4) 
replace Rule_1 = 2 if Session_number == 5 & Period == 1 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 5 & Period == 2 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 5 & Period == 3 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 5 & Period == 4 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 5 & Period == 5 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 5 & Period == 6 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 5 & Period == 7 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 5 & Period == 8 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 5 & Period == 9 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 5 & Period == 10 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 5 & Period == 11 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 5 & Period == 12 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 5 & Period == 13 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 5 & Period == 14 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 5 & Period == 15 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 5 & Period == 16 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 5 & Period == 17 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 5 & Period == 18 & GroupDecisionVote != .

*Rule_2 Session 5 (=1 and 4)
replace Rule_2 = 1 if Session_number == 5 & Period == 1 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 5 & Period == 2 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 5 & Period == 3 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 5 & Period == 4 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 5 & Period == 5 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 5 & Period == 6 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 5 & Period == 7 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 5 & Period == 8 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 5 & Period == 9 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 5 & Period == 10 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 5 & Period == 11 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 5 & Period == 12 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 5 & Period == 13 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 5 & Period == 14 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 5 & Period == 15 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 5 & Period == 16 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 5 & Period == 17 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 5 & Period == 18 & GroupDecisionVote != .

*Rule_1 Session 6 (=3)
replace Rule_1 = 2 if Session_number == 6 & Period == 1 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 6 & Period == 2 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 6 & Period == 3 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 6 & Period == 4 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 6 & Period == 5 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 6 & Period == 6 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 6 & Period == 7 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 6 & Period == 8 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 6 & Period == 9 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 6 & Period == 10 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 6 & Period == 11 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 6 & Period == 12 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 6 & Period == 13 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 6 & Period == 14 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 6 & Period == 15 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 6 & Period == 16 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 6 & Period == 17 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 6 & Period == 18 & GroupDecisionVote != .

*Rule_2 Session 6 (=3)
replace Rule_2 = 4 if Session_number == 6 & Period == 1 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 6 & Period == 2 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 6 & Period == 3 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 6 & Period == 4 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 6 & Period == 5 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 6 & Period == 6 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 6 & Period == 7 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 6 & Period == 8 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 6 & Period == 9 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 6 & Period == 10 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 6 & Period == 11 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 6 & Period == 12 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 6 & Period == 13 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 6 & Period == 14 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 6 & Period == 15 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 6 & Period == 16 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 6 & Period == 17 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 6 & Period == 18 & GroupDecisionVote != .

*Rule_1 Session 7 (=2)
replace Rule_1 = 4 if Session_number == 7 & Period == 1 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 7 & Period == 2 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 7 & Period == 3 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 7 & Period == 4 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 7 & Period == 5 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 7 & Period == 6 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 7 & Period == 7 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 7 & Period == 8 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 7 & Period == 9 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 7 & Period == 10 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 7 & Period == 11 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 7 & Period == 12 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 7 & Period == 13 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 7 & Period == 14 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 7 & Period == 15 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 7 & Period == 16 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 7 & Period == 17 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 7 & Period == 18 & GroupDecisionVote != .

*Rule_2 Session 7 (=2)
replace Rule_2 = 2 if Session_number == 7 & Period == 1 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 7 & Period == 2 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 7 & Period == 3 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 7 & Period == 4 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 7 & Period == 5 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 7 & Period == 6 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 7 & Period == 7 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 7 & Period == 8 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 7 & Period == 9 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 7 & Period == 10 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 7 & Period == 11 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 7 & Period == 12 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 7 & Period == 13 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 7 & Period == 14 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 7 & Period == 15 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 7 & Period == 16 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 7 & Period == 17 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 7 & Period == 18 & GroupDecisionVote != .

*Rule_1 Session 8 (=1 and 4 and 5) 
replace Rule_1 = 2 if Session_number == 8 & Period == 1 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 8 & Period == 2 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 8 & Period == 3 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 8 & Period == 4 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 8 & Period == 5 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 8 & Period == 6 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 8 & Period == 7 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 8 & Period == 8 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 8 & Period == 9 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 8 & Period == 10 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 8 & Period == 11 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 8 & Period == 12 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 8 & Period == 13 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 8 & Period == 14 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 8 & Period == 15 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 8 & Period == 16 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 8 & Period == 17 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 8 & Period == 18 & GroupDecisionVote != .

*Rule_2 Session 8 (=1 and 4 and 5)
replace Rule_2 = 1 if Session_number == 8 & Period == 1 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 8 & Period == 2 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 8 & Period == 3 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 8 & Period == 4 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 8 & Period == 5 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 8 & Period == 6 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 8 & Period == 7 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 8 & Period == 8 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 8 & Period == 9 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 8 & Period == 10 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 8 & Period == 11 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 8 & Period == 12 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 8 & Period == 13 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 8 & Period == 14 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 8 & Period == 15 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 8 & Period == 16 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 8 & Period == 17 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 8 & Period == 18 & GroupDecisionVote != .

*Rule_9 Session 1 
replace Rule_1 = 2 if Session_number == 9 & Period == 1 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 9 & Period == 2 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 9 & Period == 3 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 9 & Period == 4 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 9 & Period == 5 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 9 & Period == 6 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 9 & Period == 7 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 9 & Period == 8 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 9 & Period == 9 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 9 & Period == 10 & GroupDecisionVote != .
replace Rule_1 = 4 if Session_number == 9 & Period == 11 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 9 & Period == 12 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 9 & Period == 13 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 9 & Period == 14 & GroupDecisionVote != .
replace Rule_1 = 1 if Session_number == 9 & Period == 15 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 9 & Period == 16 & GroupDecisionVote != .
replace Rule_1 = 3 if Session_number == 9 & Period == 17 & GroupDecisionVote != .
replace Rule_1 = 2 if Session_number == 9 & Period == 18 & GroupDecisionVote != .

*Rule_9 Session 1
replace Rule_2 = 1 if Session_number == 9 & Period == 1 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 9 & Period == 2 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 9 & Period == 3 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 9 & Period == 4 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 9 & Period == 5 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 9 & Period == 6 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 9 & Period == 7 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 9 & Period == 8 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 9 & Period == 9 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 9 & Period == 10 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 9 & Period == 11 & GroupDecisionVote != .
replace Rule_2 = 2 if Session_number == 9 & Period == 12 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 9 & Period == 13 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 9 & Period == 14 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 9 & Period == 15 & GroupDecisionVote != .
replace Rule_2 = 1 if Session_number == 9 & Period == 16 & GroupDecisionVote != .
replace Rule_2 = 4 if Session_number == 9 & Period == 17 & GroupDecisionVote != .
replace Rule_2 = 3 if Session_number == 9 & Period == 18 & GroupDecisionVote != .

*Values saved in party, orientation etc. should be VARIABLES and not extra rounds. 
*Convert the entries accordingly and drop additional observations afterwards

foreach x of varlist Age Orientation Gender Party risk_self risk_others Study_Subject {
	replace `x' = `x'[maxsubject*18 + Subject] if Session_number == 1
	sum maxsubject if Session_number == 1
	local num_1 = r(max)
	replace `x' = `x'[`num_1'*19 + maxsubject*18 + Subject] if Session_number == 2
	sum maxsubject if Session_number == 2
	local num_2 = r(max)
	replace `x' = `x'[(`num_1'+`num_2')*19 + maxsubject*18 + Subject] if Session_number == 3
	sum maxsubject if Session_number == 3
	local num_3 = r(max)
	replace `x' = `x'[(`num_1'+`num_2' + `num_3')*19 + maxsubject*18 + Subject] if Session_number == 4
	sum maxsubject if Session_number == 4
	local num_4 = r(max)
	replace `x' = `x'[(`num_1'+`num_2' + `num_3'+ `num_4')*19 + maxsubject*18 + Subject] if Session_number == 5
	sum maxsubject if Session_number == 5
	local num_5 = r(max)
	replace `x' = `x'[(`num_1'+`num_2' + `num_3'+ `num_4'+ `num_5')*19 + maxsubject*18 + Subject] if Session_number == 6
	sum maxsubject if Session_number == 6
	local num_6 = r(max)
	replace `x' = `x'[(`num_1'+`num_2' + `num_3'+ `num_4'+ `num_5'+ `num_6')*19 + maxsubject*18 + Subject] if Session_number == 7
	sum maxsubject if Session_number == 7
	local num_7 = r(max)
	replace `x' = `x'[(`num_1'+`num_2' + `num_3'+ `num_4'+ `num_5'+ `num_6' + `num_7')*19 + maxsubject*18 + Subject] if Session_number == 8
	sum maxsubject if Session_number == 8
	local num_8 = r(max)
	replace `x' = `x'[(`num_1'+`num_2' + `num_3'+ `num_4'+ `num_5'+ `num_6' + `num_7' + `num_8')*19 + maxsubject*18 + Subject] if Session_number == 9
}
*

drop if Period == 1 & GroupDecisionRule == .




*Label Rule_1 and Rule_2 GroupDecisionRule and GroupDecisonVote
label define rules_short2 1 "AGV" 2 "SM" 3 "NSQ" 4 "RAND"
label values Rule_1 rules_short2 
label values Rule_2 rules_short2 
label values GroupDecisionVote rules_short2
label values GroupDecisionRule rules_short2

// set labels for treatments 
label define treatment 1 "Right-skewed" -1 "Left-skewed" 0 "Symmetric" -2 "Robustness"
label values treatment_distribution treatment

local n = maxsession

gen identifier = Session_number * 100 + Subject

gen SurplusGroup = ValuationVector1 + ValuationVector2 + ValuationVector3

gen EfficientChoice = .
replace EfficientChoice = 1 if SurplusGroup > 0
replace EfficientChoice = 0 if SurplusGroup < 0
*= 0 should not be possible

gen HypotheticalResultAGV = EfficientChoice
gen HypotheticalResultSM = .
replace HypotheticalResultSM = 1 if ValuationVector1 > 0 & ValuationVector2 > 0
replace HypotheticalResultSM = 1 if ValuationVector1 > 0 & ValuationVector3 > 0
replace HypotheticalResultSM = 1 if ValuationVector2 > 0 & ValuationVector3 > 0
replace HypotheticalResultSM = 0 if ValuationVector1 < 0 & ValuationVector2 < 0
replace HypotheticalResultSM = 0 if ValuationVector1 < 0 & ValuationVector3 < 0
replace HypotheticalResultSM = 0 if ValuationVector2 < 0 & ValuationVector3 < 0
gen HypotheticalResultSQ = 0
gen HypotheticalResultRAND = 0.5


gen ChoiceResultSubject = .
replace ChoiceResultSubject = HypotheticalResultAGV if GroupDecisionVote == 1
replace ChoiceResultSubject = HypotheticalResultSM if GroupDecisionVote == 2
replace ChoiceResultSubject = HypotheticalResultSQ if GroupDecisionVote == 3
replace ChoiceResultSubject = HypotheticalResultRAND if GroupDecisionVote == 4

*Generate idetifier for COMPARISON e.g. Rule 1 vs. Rule 2

gen BinaryChoice = Rule_1 * 10 + Rule_2
replace BinaryChoice = 12 if BinaryChoice == 21
replace BinaryChoice = 13 if BinaryChoice == 31
replace BinaryChoice = 14 if BinaryChoice == 41
replace BinaryChoice = 23 if BinaryChoice == 32
replace BinaryChoice = 24 if BinaryChoice == 42
replace BinaryChoice = 34 if BinaryChoice == 43


*Label comparision
label define rule_comparison 12 "AGV vs. SM" 13 "AGV vs. NSQ" 14 "AGV vs. RAND" 23 "SM vs. NSQ" 24 "SM vs. RAND" 34 "NSQ vs. RAND"
label values BinaryChoice rule_comparison 


*Create dummy for truth telling (AGV)
gen truth_telling = 1 if GroupDecisionRule == 1 & Valuation == reported_valuation
replace truth_telling = 0 if GroupDecisionRule == 1 & Valuation != reported_valuation

gen truth_telling_sign = 1 if GroupDecisionRule == 1 & Valuation > 0 & reported_valuation > 0
replace truth_telling_sign = 1 if GroupDecisionRule == 1 & Valuation < 0 & reported_valuation < 0
replace truth_telling_sign = 0 if GroupDecisionRule == 1 & Valuation < 0 & reported_valuation > 0
replace truth_telling_sign = 0 if GroupDecisionRule == 1 & Valuation > 0 & reported_valuation < 0


*Generate whether a subject NEVER misreported his/her valuation
sort identifier Period

gen never_misreports_sign = .

foreach x of numlist 101/121 201/215 301/309 401/418 501/518 601/624 701/707 801/821 901/918 {
	replace never_misreports_sign = truth_telling_sign if Period == 1 & truth_telling_sign != . & identifier == `x' 
	replace never_misreports_sign = 1 if Period == 1 & truth_telling_sign == . & identifier == `x'

	forvalues period = 2(1)18 {
		replace never_misreports_sign = never_misreports_sign[_n - 1] if Period == `period' & truth_telling_sign == . & identifier[_n] == identifier[_n-1]  & identifier == `x'
		replace never_misreports_sign = never_misreports_sign[_n - 1] if Period == `period' & truth_telling_sign == 1 & identifier[_n] == identifier[_n-1]  & identifier == `x'
		replace never_misreports_sign = 0 if Period == `period' & truth_telling_sign == 0 & identifier == `x'
	}
	*
}
*	

gsort identifier -Period

foreach x of numlist 101/121 201/215 301/309 401/418 501/518 601/624 701/707 801/821 901/918 {
	replace never_misreports_sign = never_misreports_sign[_n - 1] if Period < 18 & identifier == `x' 
	
}
*	


// variables to keep track of what block/period of comparisons we are in:
gen block=1  // first set of ex-ante comparisons
replace block=2 if Period>6  // second set of ex-ante comparisons
replace block=3 if Period>12  // ad interim comparisons


// session match for clustering standard errors.
// subjects where matched within session within 1 or 2 super-groups. From each super-group the computer drew random 3-person matching-groups every period. Subjects played each round in the period-specific matching-group. The largest common history is therefore the super-group.

gen groups=abs(group_formation)
egen tmp=concat(Session_number groups), punct(_)
encode tmp , generate(session_match) 
drop tmp groups


// mark the information available to the subjects when making the mechanism choice
gen ad_interim_round=0
replace ad_interim_round=1 if Period>12


gen ex_ante_round = 1 if Period < 13
replace ex_ante_round = 0 if Period > 12


// mark the valuation of the subjects as postive or negative
gen valuation_positive=0
replace valuation_positive=1 if Valuation>0

gen valuation_negative=0
replace valuation_negative=1 if Valuation<0
// 


*Create dummy for negative private valuation
gen dummy_valuation_negative =1 if Valuation < 0
replace dummy_valuation_negative = 0 if Valuation > 0

label define positive 1 "negative" 0 "positive"
label values dummy_valuation_negative positive

/////////////////////////////////////////////////////////////////////////////////////////
/// EFECT OF VALUATION AND PRIVATE INFORMATION ON PREFERENCE FOR DECISION RULES

// generate value dummies for each valuation. Since some values are negative, the standard factor instructions do not work
generate Value_factor=1 if Valuation==-7
replace Value_factor=2 if Valuation==-3
replace Value_factor=3 if Valuation==-2
replace Value_factor=4 if Valuation==-1
replace Value_factor=5 if Valuation==1
replace Value_factor=6 if Valuation==3
replace Value_factor=7 if Valuation==7

label define valuation_label 1 "Value -7" 2 "Value -3" 3 "Value -2" 4 "Value -1" 5 "Value 1" 6 "Value 3" 7 "Value 7"
label values Value_factor valuation_label 



*generate new variable "Rule_Vote"  that equals one if the lower numbered mehcanism is chosen
*Variable contains only 0/1 results

gen Rule_Vote = .
replace Rule_Vote = 1 if BinaryChoice == 12 & GroupDecisionVote == 1
replace Rule_Vote = 1 if BinaryChoice == 13 & GroupDecisionVote == 1
replace Rule_Vote = 1 if BinaryChoice == 14 & GroupDecisionVote == 1
replace Rule_Vote = 0 if BinaryChoice == 12 & GroupDecisionVote == 2
replace Rule_Vote = 1 if BinaryChoice == 23 & GroupDecisionVote == 2
replace Rule_Vote = 1 if BinaryChoice == 24 & GroupDecisionVote == 2
replace Rule_Vote = 0 if BinaryChoice == 13 & GroupDecisionVote == 3
replace Rule_Vote = 0 if BinaryChoice == 23 & GroupDecisionVote == 3
replace Rule_Vote = 1 if BinaryChoice == 34 & GroupDecisionVote == 3
replace Rule_Vote = 0 if BinaryChoice == 14 & GroupDecisionVote == 4
replace Rule_Vote = 0 if BinaryChoice == 24 & GroupDecisionVote == 4
replace Rule_Vote = 0 if BinaryChoice == 34 & GroupDecisionVote == 4


// make dummies for the choice for each of the mechanisms
gen chose_AGV= GroupDecisionVote == 1
gen chose_SM= GroupDecisionVote == 2
gen chose_NSQ= GroupDecisionVote == 3
gen chose_RAND= GroupDecisionVote == 4


// set treatment order and labels

gen treatment_number = .

replace treatment_number = 1 if treatment_distribution == 0
replace treatment_number = 2 if treatment_distribution == 1
replace treatment_number = 3 if treatment_distribution == -1
replace treatment_number = 4 if treatment_distribution == -2

label define treatment_new 1 "symmetric" 2 "Right-skewed" 3 "Left-skewed" 4 "Robustness"
label values treatment_number treatment_new


*Generate a variable that stores whether a subject choose the MORE efficient mechanism, depending on the binary choice and the treatment

gen efficient = .

replace efficient = 1 if GroupDecisionVote == 4 & BinaryChoice == 34 & treatment_number != 3
replace efficient = 1 if GroupDecisionVote == 3 & BinaryChoice == 34 & treatment_number != 2
replace efficient = 1 if GroupDecisionVote == 2 & BinaryChoice != 12
replace efficient = 1 if GroupDecisionVote == 1

replace efficient = 0 if efficient == .

*Generate a variable that stores whether a subject choose the MORE efficient mechanism, depending on the binary choice and the treatment
gen efficient_mech_choice=0
replace efficient_mech_choice = 1 if GroupDecisionVote == 4 & BinaryChoice == 34 & (treatment_number==4 |treatment_number==2 )
replace efficient_mech_choice= 1 if GroupDecisionVote == 3 & BinaryChoice == 34 & treatment_number == 3
replace efficient_mech_choice = 1 if GroupDecisionVote == 2 & BinaryChoice != 12
replace efficient_mech_choice = 1 if GroupDecisionVote == 1

replace efficient_mech_choice=. if treatment_number==1 & BinaryChoice==34

gen ex_ante_efficient =  ex_ante * efficient


sort identifier BinaryChoice ex_ante_round
forvalue n = 3(3)`=_N' {
	replace ex_ante_efficient = ex_ante_efficient[`n'-1] if _n == `n' 
}
*

sort identifier BinaryChoice ex_ante_round
forvalue n = 3(3)`=_N' {
	replace ex_ante_efficient = ex_ante_efficient[`n'-1] if _n == `n' 
}
*


//fix the chose variables so they are missing if the choices in unavailable
replace chose_AGV=. if BinaryChoice==23|BinaryChoice==24|BinaryChoice==34
replace chose_SM=. if BinaryChoice==13|BinaryChoice==14|BinaryChoice==34
replace chose_NSQ=. if BinaryChoice==12|BinaryChoice==14|BinaryChoice==24
replace chose_RAND=. if BinaryChoice==12|BinaryChoice==13|BinaryChoice==23


/// Generate a variable that stores the preference for AGV over SM in accordance
//  with the predictions of Gruner Koriyama predictions

generate GK_prefAGV=.
// prediction in symmetric treatment is that subjects with -3 or 3 prefer AGV over SM, others are indifferent
replace GK_prefAGV= 0 if treatment_number==1 & ad_interim_round==1
replace GK_prefAGV=1 if treatment_number==1 & (Valuation==-3 | Valuation==3) & ad_interim_round==1

// prediction in the skewed (-7 or +7) treatments is that 
// 	(iii) subjects with a private valuation of -3 or -1 (right-skewed treatment) and 3 or 1 (left-skewed treatment), strictly prefer the SM over the AGV,
///  (iv) all other subjects prefer the AGV over the SM mechanism.

replace GK_prefAGV= 1 if (treatment_number==2|treatment_number==3) & ad_interim_round==1 // all other subjects

replace GK_prefAGV=0 if treatment_number==2 & (Valuation==-3 | Valuation==-1) & ad_interim_round==1 // right-skewed
replace GK_prefAGV=0 if treatment_number==3 & (Valuation==3 | Valuation==1) & ad_interim_round==1 // left-skewed

// robustness treatment (three negative), types -1 and 7 prefers AGV over SM
replace GK_prefAGV=0 if treatment_number==4   & ad_interim_round==1 
replace GK_prefAGV=1 if treatment_number==4 & (Valuation==7| Valuation==-1) & ad_interim_round==1 

// remove all other binary comparisons
replace GK_prefAGV=. if BinaryChoice!=12


////////////////////////////////////////////////////////////////////////////////////
// Hypothesis 2, Grunner Engelmann and friends, suggest that fairness matters. Here the right-skewed treatment and the robustness treatment give the AGV a tax-the-winner property, while all proceeds of the tax go to the losing players, so that inequality is reduced. The left-skewed treatment does the opposite by taxing the loser. 
// results indicate that there might be a small (non-significant) increase in likelihood that the AGV is chosen in the ex-ante rounds of the right-skewed treatment, but definately not in the ad-interim rounds. 
// extreme types 7 and -7 have a Veto in ad-interim rounds, compare to that effect

generate TaxTheWinner=0 if treatment_number==3
replace TaxTheWinner=1 if treatment_number==2 | treatment_number==4 
generate absVal = abs(Valuation)
generate Veto=0 if treatment_number==3|treatment_number==2 | treatment_number==4 
replace Veto=1 if (treatment_number==3|treatment_number==2) & absVal==7 & ad_interim_round==1


//// order of presentation in mechanism choice. 
// Dummy set to 0 if the order is in AGV > SM > NSQ > RAND 
// Dummy set to 1 if the order is in RAND > NSQ > SM > AGV

gen comparison_order_inverted =0
replace comparison_order_inverted =1 if Rule_2<Rule_1 


*save file to work with

save "Data_files\experimental_data_flip_a_coin.dta", replace
***************** clean files













